import request from '/@/utils/request';

export function hiddenCheckApi() {
    return {
        // v1
        getHiddenCheckList: (data: object) => {
            return request({
                url: `/prevent/dangerRectify/select/getRectifyOverPage`,
                method: 'post',
                data: data
            });
        },
        // v1
        submitHiddenCheck: (data: object) => {
            return request({
                url: `/prevent/dangerRectify/update/reportRectify`,
                method: 'post',
                data: data
            });
        },
        // v1
        getAllHiddenCheckList: () => {
            return request({
                url: `/prevent/device/select/listDevices`,
                method: 'post'
            });
        }
    };
}
